Bug 819705 - xgap does not work
xgap does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xgap (Show other bugs)
16
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 22:42 EDT by Paulo Andrade
Modified: 2013-02-13 22:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 22:00:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XGap (3.13 KB, text/plain)
2012-05-07 22:49 EDT, Paulo Andrade
no flags Details
gap-dont-autoload-xgap.patch (989 bytes, patch)
2012-05-07 22:57 EDT, Paulo Andrade
no flags Details | Diff

  None (edit)
Description Paulo Andrade 2012-05-07 22:42:50 EDT
$ strace -f xgap

shows:

[pid 18440] execve("@GAPARCH@/gap", ["@GAPARCH@/gap", "-p", "-l", "/usr/share/gap", "-m", "70m"], [/* 50 vars */]) = -1 ENOENT (No such file or directory)

the /usr/bin/xgap script needs to be updated. If run as:

$ GAP_PRG=/usr/bin/gap xgap

it appears to work correctly.
Comment 1 Paulo Andrade 2012-05-07 22:49:53 EDT
Created attachment 582828 [details]
XGap
Comment 2 Paulo Andrade 2012-05-07 22:51:13 EDT
Please also consider installing the XGap file to /usr/share/X11/app-defaults.

I wrote it from scratch some years ago when packaging gap in Mandriva.

To test it, run something like:

$ XENVIRONMENT=/some/whereXGap GAP_PRG=/usr/bin/gap xgap
Comment 3 Paulo Andrade 2012-05-07 22:57:24 EDT
Created attachment 582832 [details]
gap-dont-autoload-xgap.patch

Yet another customization that should be added.
The problem is that sagemath uses "gap -p" to communicate with gap, but
that is exactly what xgap does, so, unless adding this patch, sagemath
should conflict with xgap.
Comment 4 Jerry James 2012-05-09 13:23:29 EDT
(In reply to comment #3)
> Created attachment 582832 [details]
> gap-dont-autoload-xgap.patch
> 
> Yet another customization that should be added.
> The problem is that sagemath uses "gap -p" to communicate with gap, but
> that is exactly what xgap does, so, unless adding this patch, sagemath
> should conflict with xgap.

I don't understand.  Both xgap and sage need the output enabled by "gap -p", sure.  But why isn't turning off autoload for xgap enough?

I have the rest of this bug taken care of.  Thanks for the X resource file.  I'm holding off on a new build until I understand what's going on with this patch, though.
Comment 5 Paulo Andrade 2012-05-09 13:57:07 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Created attachment 582832 [details]
> > gap-dont-autoload-xgap.patch
> > 
> > Yet another customization that should be added.
> > The problem is that sagemath uses "gap -p" to communicate with gap, but
> > that is exactly what xgap does, so, unless adding this patch, sagemath
> > should conflict with xgap.
> 
> I don't understand.  Both xgap and sage need the output enabled by "gap -p",
> sure.  But why isn't turning off autoload for xgap enough?

  I think I did not phrase it correctly. If adding the
gap-dont-autoload-xgap.patch to not autoload, then it works with sagemath.

  I remeber a side effect of the patch is that it does not create windows
to display help, but prints help in the terminal, I think most people
actually prefer it, but IMHO xgap is not an important package, that
probably would be better dropped, it is just a different front end that
does nothing special, and has several usability problems.

  Also, I tested in fedora and did not see issues with crashes in x86_64
as I noticed in Mandriva,and added a patch. This may have been due to some
compile option, because most xgap code calls XtVa* functions passing 0 as
last argument, instead of NULL, causing it to not notice the end of the va
list.

> I have the rest of this bug taken care of.  Thanks for the X resource file. 
> I'm holding off on a new build until I understand what's going on with this
> patch, though.
Comment 6 Jerry James 2012-05-09 14:26:33 EDT
(In reply to comment #5)
>   I think I did not phrase it correctly. If adding the
> gap-dont-autoload-xgap.patch to not autoload, then it works with sagemath.

Okay, I'll get rid of the autoload.  Thanks for pointing out the problem.

>   I remeber a side effect of the patch is that it does not create windows
> to display help, but prints help in the terminal, I think most people
> actually prefer it, but IMHO xgap is not an important package, that
> probably would be better dropped, it is just a different front end that
> does nothing special, and has several usability problems.

Well, I only packaged it in the first place because the Sonata package suggests it.  If it is going to be more problematic than helpful, then we can drop it.

>   Also, I tested in fedora and did not see issues with crashes in x86_64
> as I noticed in Mandriva,and added a patch. This may have been due to some
> compile option, because most xgap code calls XtVa* functions passing 0 as
> last argument, instead of NULL, causing it to not notice the end of the va
> list.

Yes, xgap version 4.22 fixed that.
Comment 7 Fedora Update System 2012-05-09 17:08:25 EDT
xgap-4.23-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xgap-4.23-1.fc17
Comment 8 Fedora Update System 2012-05-09 17:08:55 EDT
xgap-4.23-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xgap-4.23-1.fc16
Comment 9 Fedora Update System 2012-05-10 16:41:34 EDT
Package xgap-4.23-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xgap-4.23-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7634/xgap-4.23-1.fc17
then log in and leave karma (feedback).
Comment 10 Fedora End Of Life 2013-01-16 21:07:13 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 22:00:36 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.